Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 740706 - net-irc/irccloud-desktop-bin-0.15.0 does not respect CFLAGS/LDFLAGS
Summary: net-irc/irccloud-desktop-bin-0.15.0 does not respect CFLAGS/LDFLAGS
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jason A. Donenfeld
URL:
Whiteboard:
Keywords: PullRequest
Depends on:
Blocks: cflags ldflags
  Show dependency tree
 
Reported: 2020-09-06 14:38 UTC by Agostino Sarubbo
Modified: 2021-05-03 09:07 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,6.52 KB, text/plain)
2020-09-06 14:38 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-09-06 14:38:53 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: net-irc/irccloud-desktop-bin-0.15.0 does not respect CFLAGS/LDFLAGS.
Discovered on: amd64 (internal ref: tinderbox)

NOTE:
To reproduce this issue you may want to add "-frecord-gcc-switches" to CFLAGS/CXXFLAGS/FFLAGS/FCFLAGS and LDFLAGS="${LDFLAGS} -Wl,--defsym=__gentoo_check_ldflags__=0". If this is not something about c/c++ see this bug as an hint to hide the QA warning (with QA_FLAGS_IGNORED) where is not possible to respect CFLAGS/LDFLAGS.
Comment 1 Agostino Sarubbo gentoo-dev 2020-09-06 14:38:56 UTC
Created attachment 658770 [details]
build.log

build log and emerge --info
Comment 2 Marco Scardovi 2021-04-25 09:13:42 UTC
Same on 0.16.0

 * QA Notice: Files built without respecting LDFLAGS have been detected
 *  Please include the following list of files in your report:
 * /opt/IRCCloud/chrome-sandbox
 * /opt/IRCCloud/irccloud
 * /opt/IRCCloud/libEGL.so
 * /opt/IRCCloud/libGLESv2.so
 * /opt/IRCCloud/libffmpeg.so
 * /opt/IRCCloud/libvk_swiftshader.so
 * /opt/IRCCloud/libvulkan.so
 * /opt/IRCCloud/swiftshader/libEGL.so
 * /opt/IRCCloud/swiftshader/libGLESv2.so
Comment 3 Larry the Git Cow gentoo-dev 2021-05-03 09:07:53 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f077897961256f335f24c96aaafbfca8130f11cd

commit f077897961256f335f24c96aaafbfca8130f11cd
Author:     Marco Scardovi <marco@scardovi.com>
AuthorDate: 2021-05-03 09:04:03 +0000
Commit:     Jason A. Donenfeld <zx2c4@gentoo.org>
CommitDate: 2021-05-03 09:07:26 +0000

    net-irc/irccloud-desktop-bin: bump to 0.16.0 and cleanup
    
    Closes: https://bugs.gentoo.org/740702
    Closes: https://bugs.gentoo.org/740706
    Closes: https://github.com/gentoo/gentoo/pull/20536
    Package-Manager: Portage-3.0.18, Repoman-3.0.3
    Signed-off-by: Marco Scardovi <marco@scardovi.com>
    Signed-off-by: Jason A. Donenfeld <zx2c4@gentoo.org>

 ...0.16.0.ebuild => irccloud-desktop-bin-0.16.0-r1.ebuild} | 14 ++++++++------
 1 file changed, 8 insertions(+), 6 deletions(-)